View Issue Details

IDProjectCategoryView StatusLast Update
0001080Main CAcert Websiteorganisational sectionpublic2013-03-21 07:29
ReporterINOPIAE Assigned ToBenBE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2012 Q3 
Fixed in Version2012 Q4 
Summary0001080: The link on page to iso code on account.php?id=24 show no result
DescriptionThe link http://www.iso.org/iso/english_country_names_and_code_elements shows no result.

Better use http://www.iso.org/iso/home/standards/country_codes/iso-3166-1_decoding_table.htm
Additional Informationchange the link in line 51 on page a account.php?id=24
old line:
<td class="DataTD"><input type="text" name="C" value="" size="5">(2 letter http://www.iso.org/iso/english_country_names_and_code_elements)</td>

new line
<td class="DataTD"><input type="text" name="C" value="" size="5">(2 letter http://www.iso.org/iso/home/standards/country_codes/iso-3166-1_decoding_table.htm)</td>
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Activities

INOPIAE

2012-07-14 10:41

updater  

24-v1.php (2,800 bytes)   
<? /*
    LibreSSL - CAcert web application
    Copyright (C) 2004-2008  CAcert Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/ ?>
<?
	// Reset session variables regarding Org's, present empty form	
	if (array_key_exists('O',$_SESSION['_config']))         $_SESSION['_config']['O'] = "";
  if (array_key_exists('contact',$_SESSION['_config']))   $_SESSION['_config']['contact'] = "";	
  if (array_key_exists('L',$_SESSION['_config']))         $_SESSION['_config']['L'] = "";
  if (array_key_exists('ST',$_SESSION['_config']))        $_SESSION['_config']['ST'] = "";
  if (array_key_exists('C',$_SESSION['_config']))         $_SESSION['_config']['C'] = "";
  if (array_key_exists('comments',$_SESSION['_config']))  $_SESSION['_config']['comments'] = "";
	
?>
<form method="post" action="account.php">
<table align="center" valign="middle" border="0" cellspacing="0" cellpadding="0" class="wrapper">
  <tr>
    <td colspan="2" class="title"><?=_("New Organisation")?></td>
  </tr>
  <tr>
    <td class="DataTD"><?=_("Organisation Name")?>:</td>
    <td class="DataTD"><input type="text" name="O" value="" maxlength="50" size="90"></td>
  </tr>
  <tr>
    <td class="DataTD"><?=_("Contact Email")?>:</td>
    <td class="DataTD"><input type="text" name="contact" value="" size="90"></td>
  </tr>
  <tr>
    <td class="DataTD"><?=_("Town/Suburb")?>:</td>
    <td class="DataTD"><input type="text" name="L" value="" size="90"></td>
  </tr>
  <tr>
    <td class="DataTD"><?=_("State/Province")?>:</td>
    <td class="DataTD"><input type="text" name="ST" value="" size="90"></td>
  </tr>
  <tr>
    <td class="DataTD"><?=_("Country")?>:</td>
    <td class="DataTD"><input type="text" name="C" value="" size="5">(2 letter <a href="http://www.iso.org/iso/home/standards/country_codes/iso-3166-1_decoding_table.htm>ISO code</a>)</td>
  </tr>
  <tr>
    <td class="DataTD"><?=_("Comments")?>:</td>
    <td class="DataTD"><textarea name="comments" cols="60" rows="10"></textarea></td>
  </tr>
  <tr>
    <td class="DataTD" colspan="2"><input type="submit" name="process" value="<?=_("Next")?>"></td>
  </tr>
</table>
<input type="hidden" name="oldid" value="<?=$id?>">
</form>
24-v1.php (2,800 bytes)   

INOPIAE

2012-07-14 10:42

updater   ~0003089

I attached file as solution.

NEOatNHNG

2012-10-30 21:25

administrator   ~0003284

Have also made the explanation translatable. needs second review

INOPIAE

2012-10-30 21:30

updater   ~0003286

Last edited: 2012-10-30 21:51

View 2 revisions

Link is giving the new link
=>OK

INOPIAE

2012-10-30 22:04

updater   ~0003289

Link is giving the new link, Text is ok
=>OK

Uli60

2012-10-30 23:05

updater   ~0003298

1080

Org Admin - New Organisation
https://cacert1.it-sls.de/account.php?id=24

iso link shows:
http://www.iso.org/iso/home/standards/country_codes/iso-3166-1_decoding_table.htm


Org Admin - view Organisations
https://cacert1.it-sls.de/account.php?id=25

edit one organisation
https://cacert1.it-sls.de/account.php?id=27&orgid=273
iso link shows:
http://www.iso.org/iso/english_country_names_and_code_elements

which link is now valid?

INOPIAE

2012-10-30 23:11

updater   ~0003299

for id 27 change link in line 44

INOPIAE

2012-10-31 00:06

updater   ~0003301

Link on id 24 ok
Link on id 27 ok
=> ok

NEOatNHNG

2012-10-31 00:06

administrator   ~0003302

I have ported the changes to the "edit organisation" page. please test and review

Uli60

2012-10-31 00:09

updater   ~0003304

org admin - view organisations
select one org - edit
https://cacert1.it-sls.de/account.php?id=27&orgid=273
link address points to
http://www.iso.org/iso/home/standards/country_codes/iso-3166-1_decoding_table.htm
page is valid

org admin - new org
https://cacert1.it-sls.de/account.php?id=24
link address points to
http://www.iso.org/iso/home/standards/country_codes/iso-3166-1_decoding_table.htm
page is valid

=> ok

Uli60

2012-10-31 00:11

updater   ~0003305

tested by 2
needs 2nd review, good to go

wytze

2012-11-01 14:02

developer   ~0003313

The fix has been installed on the production server on November 1, 2012.
See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2012-11/msg00002.html

Werner Dworak

2013-03-21 07:29

updater   ~0003834

More than 3 months solved

Issue History

Date Modified Username Field Change
2012-07-06 18:49 INOPIAE New Issue
2012-07-14 10:38 INOPIAE Description Updated View Revisions
2012-07-14 10:41 INOPIAE File Added: 24-v1.php
2012-07-14 10:42 INOPIAE Note Added: 0003089
2012-10-28 14:12 BenBE Reviewed by => BenBE
2012-10-28 14:12 BenBE Status new => needs review & testing
2012-10-28 14:35 BenBE Source_changeset_attached => cacert-devel testserver 3e398705
2012-10-28 14:35 BenBE Source_changeset_attached => cacert-devel testserver 203dcbbd
2012-10-30 21:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver 553ffb5f
2012-10-30 21:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver 50dd7f9b
2012-10-30 21:25 NEOatNHNG Reviewed by BenBE => NEOatNHNG
2012-10-30 21:25 NEOatNHNG Note Added: 0003284
2012-10-30 21:30 INOPIAE Note Added: 0003286
2012-10-30 21:51 INOPIAE Note Edited: 0003286 View Revisions
2012-10-30 22:04 INOPIAE Note Added: 0003289
2012-10-30 22:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver 74dcb9a8
2012-10-30 22:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver 9e2d28ad
2012-10-30 22:10 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2012-10-30 23:05 Uli60 Note Added: 0003298
2012-10-30 23:11 INOPIAE Note Added: 0003299
2012-10-30 23:36 Uli60 Assigned To => BenBE
2012-10-31 00:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver 5d587450
2012-10-31 00:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver 304b385f
2012-10-31 00:06 INOPIAE Note Added: 0003301
2012-10-31 00:06 NEOatNHNG Reviewed by NEOatNHNG, BenBE => NEOatNHNG
2012-10-31 00:06 NEOatNHNG Note Added: 0003302
2012-10-31 00:09 Uli60 Note Added: 0003304
2012-10-31 00:11 Uli60 Note Added: 0003305
2012-10-31 00:11 Uli60 Status needs review & testing => needs review
2012-10-31 17:45 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2012-10-31 17:45 BenBE Status needs review => ready to deploy
2012-10-31 18:45 BenBE Source_changeset_attached => cacert-devel release fde10425
2012-11-01 14:02 wytze Note Added: 0003313
2012-11-01 14:02 wytze Status ready to deploy => solved?
2012-11-01 14:02 wytze Resolution open => fixed
2013-01-13 08:22 INOPIAE Fixed in Version => 2012 Q4
2013-03-21 07:29 Werner Dworak Note Added: 0003834
2013-03-21 07:29 Werner Dworak Status solved? => closed
2013-03-21 07:29 Werner Dworak Product Version => 2012 Q3